For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all PasswordPolicy

This endpoint enables retrieving all PasswordPolicy using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
effectivePolicybooleanOptional

When set to true, then the policy that is in effect for the actor's contract (as defined by the JWT) is returned. ATM this has the only effect that if no policy is defined for the user/contract, then the IONOS default policy is returned.

Example: false
Responses
200

Returned all requested PasswordPolicy successfully.

application/json
idstring · uuidRequired

ID of the list of PasswordPolicy resources.

Example: 95f76a5e-86cd-52e0-b080-f22f131718e5
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of PasswordPolicy resources.

Example: /passwordpolicies
get/passwordpolicies
GET /passwordpolicies HTTP/1.1
Host: iam.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "95f76a5e-86cd-52e0-b080-f22f131718e5",
  "type": "collection",
  "href": "/passwordpolicies",
  "items": [
    {
      "id": "70323699-7c28-58e7-9e0c-ff644f6947a5",
      "type": "passwordpolicy",
      "href": "/passwordpolicies/70323699-7c28-58e7-9e0c-ff644f6947a5",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>"
      },
      "properties": {
        "description": "Password policy for John Doe.",
        "minLength": 1,
        "minNumberChars": 0,
        "minUpperChars": 0,
        "minLowerChars": 0,
        "minSpecialChars": 0
      }
    }
  ]
}

Last updated

Was this helpful?